Bug 1134050 - Glfs_fini() not freeing the resources
Summary: Glfs_fini() not freeing the resources
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: 3.5.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On: 1093594
Blocks: glusterfs-3.5.10
TreeView+ depends on / blocked
 
Reported: 2014-08-26 17:18 UTC by Niels de Vos
Modified: 2016-06-17 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-17 15:57:04 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2014-08-26 17:18:29 UTC
+++ This bug was initially created as a clone of Bug #1093594 +++

Description of problem:
Glfs_fini, doesn't free the resources allocated in glfs_new

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Write a sample libgfapi application, the threads, memory and other resources are not freed after glfs_fini.
2.
3.

Actual results:


Expected results:
The resources should be freed.

Additional info:

--- Additional comment from Anand Avati on 2014-05-02 09:35:22 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-02 13:05:33 CEST ---

REVIEW: http://review.gluster.org/7642 (libgfapi: In glfs_fini() free all the resources allocated in glfs_new.) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-07 13:09:18 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-13 15:03:29 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#4) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-16 13:37:03 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#5) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-19 14:30:55 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#6) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-23 11:23:25 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#7) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-27 09:09:23 CEST ---

REVIEW: http://review.gluster.org/7884 (tests: Add gfapi test case) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-05-27 11:42:21 CEST ---

REVIEW: http://review.gluster.org/7884 (tests: Add gfapi test case) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-06-03 06:09:28 CEST ---

REVIEW: http://review.gluster.org/7884 (tests: Add gfapi test case) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-06-06 09:07:38 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#8) for review on master by Poornima G (pgurusid@redhat.com)

--- Additional comment from Anand Avati on 2014-06-10 06:19:22 CEST ---

REVIEW: http://review.gluster.org/7642 (glfs_fini: Clean up all the resources allocated in glfs_new.) posted (#9) for review on master by Poornima G (pgurusid@redhat.com)

Comment 1 Niels de Vos 2014-10-05 08:52:59 UTC
The change for mainline has not been merged yet. I'm preparing a beta for glusterfs-3.5.3 without this change. Hopefully a fix will land in time for glusterfs-3.5.4.

Comment 2 Christian Affolter 2015-06-22 12:06:55 UTC
Any chances to get the fix from the 3.7 branch (#1093594) applied on the 3.5 branch? We're still affected by this problem and would highly appreciate if this could be backported. We could provide you with a test environment or run acceptance tests for you on it, if this is of any help. Thanks.

Comment 4 Niels de Vos 2015-09-15 14:09:46 UTC
There were no patches submitted in time for the glusterfs-3.5.6 release that should resolve this bug. This bug report is moved for tracking to the glusterfs-3.5.7 release, submitting patches/backports is very much appreciated.

Comment 5 Niels de Vos 2016-06-17 15:57:04 UTC
This bug is getting closed because the 3.5 is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.